# Interface ISystemInformation

public interface ISystemInformation
Collects the system information for the "about"-related functionality.

Since:
  2.2
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static @interface`
`ISystemInformation.Section`
An OSGi service component property type to define the information to be related with the specified section.

## Method Summary

Modifier and Type
Method
Description
`void`
`append(PrintWriter writer)`
Appends the information to the system summary.

## Method Details

### append

void append(PrintWriter writer)
Appends the information to the system summary.

Parameters:
  `writer` - consumes the information to the system summary, should not be closed by implementor